
Summary: 	Utilities for the Xfce Desktop Environment
Name: 		xfce-utils
Version: 	4.2.1
Release: 	1andyrtr
License:	GPL
URL: 		http://www.xfce.org/
Source0: 	%{name}-%{version}.tar.bz2
# (mpol) don't set font options
# (fc) 4.0.6-2mdk don't touch background
Patch0:		xfce-utils-4.1.99.3-fonts_background.patch.bz2
Patch1:		xfce-utils-4.1.99.3-no_compositor.patch.bz2
Group: 		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	xfce-mcs-manager
Requires:	libxfcegui4-plugins
# for /usr/sbin/fndSession:
Requires:	mandrake_desk
BuildRequires:	xfce-mcs-manager-devel
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	chrpath

%description
Xfce-utils contains utilities for the Xfce Desktop Environment.

%prep
%setup -q
%patch0 -p1 -b .fonts_background
%patch1 -p1 -b .no_compositor

%build
%configure2_5x --enable-gdm --sysconfdir=%_sysconfdir/X11
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# use 06 as session numbering
mv $RPM_BUILD_ROOT/%{_sysconfdir}/X11/wmsession.d/10XFce4 \
    $RPM_BUILD_ROOT/%{_sysconfdir}/X11/wmsession.d/06XFce4

# remove gdm session file, use fndSession
rm $RPM_BUILD_ROOT/%{_sysconfdir}/X11/gdm/Sessions/XFce4
rm $RPM_BUILD_ROOT/%{_sysconfdir}/X11/dm/Sessions/xfce.desktop

# remove switchdesk file, not in mdk
rm $RPM_BUILD_ROOT/%{_datadir}/apps/switchdesk/Xclients.xfce4

# remove desktop file
rm $RPM_BUILD_ROOT/%{_datadir}/xsessions/xfce.desktop

# remove unneeded devel files
rm -f %{buildroot}/%{_libdir}/xfce4/mcs-plugins/*.a

chrpath -d $RPM_BUILD_ROOT/%{_bindir}/xfrun4

%find_lang %{name}


%post
%make_session

%postun
%make_session

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO COPYING AUTHORS
%{_bindir}/*
%{_libdir}/xfce4/mcs-plugins/*
%{_datadir}/xfce4/*
%{_datadir}/applications/*
%{_datadir}/icons/*
%config(noreplace) %{_sysconfdir}/X11/*


%changelog
* Sun Mar 20 2005 AndyRTR <andreas.radke@freenet.de> 4.2.1-1andyrtr
- rebuild for Mandrake 10.1

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-3mdk
- P0, run taskbar by default

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce
- fix P1
- remove unneeded devel files

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Mon Dec 27 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-2mdk
- disable P1 for now, it breaks

* Sun Dec 26 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)
- rediff P0
- P1, disable compositor by default

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)
- drop P1

* Tue Nov 16 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-2mdk
- require libxfcegui4-plugins

* Tue Nov 16 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1
- s/XFce/Xfce
- rediff and integrate p0 and p1 for xinitrc script
- update filelist
- remove rpath from xfrun4

* Fri Oct 01 2004 Frederic Crozat <fcroza@mandrakesoft.com> 4.0.6-2mdk
- Patch1: don't touch background at startup

* Mon Jul 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sat Apr 17 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5
- rm desktop files

* Fri Apr 09 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

 * Sat Jan 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.3-1mdk
- 4.0.3

* Mon Dec 22 2003 Charles A Edwards <eslrahc@mandrake.org> 4.0.2-1mdk
- 4.0.2
- use configure2_5 and makeinstall_std

* Fri Nov 21 2003 Marcel Pol <mpol@gmx.net> 4.0.1-3mdk
- don't hardcode fontsize
- don't run xftaskbar4 by default

* Thu Nov 20 2003 Marcel Pol <mpol@gmx.net> 4.0.1-2mdk
- fix requires

* Sun Nov 16 2003 Marcel Pol <mpol@gmx.net> 4.0.1-1mdk
- 4.0.1
- sysconfdir = /etc/X11
- use 06 as session numbering
- postinstall: run fndSession
- don't install gdm sessionfile

* Tue Nov 11 2003 Marcel Pol <mpol@gmx.net> 4.0.0-1mdk
- initial mandrake package

